/*
 * This file is a part of dump_systemstate from the crash-worker project.
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

enum {
	EXIT_OK      = 0,        // all ok
	EXIT_ERR     = (1 << 0), // setup error
	EXIT_FILEERR = (1 << 1), // at least one file failed to be copied
	EXIT_CMDERR  = (1 << 2), // at least one command failed
	EXIT_CONFERR = (1 << 3), // at least one config entry was invalid
};

